Subject: Re: Problem packing repository

From: Larry Finger <[email-masked]>
Date: Mon, 22 Jun 2009 09:53:28 -0500

Johannes Sixt wrote:
> Larry Finger schrieb:
>> For the past 2 weeks, every pull from the mainline kernel repository
>> has included the following message about "Auto packing" that fails to
>> complete.
>>
>> git --version yields "git version 1.6.3.2.198.g6096d"
>>
>> ================================================
>>
>> Auto packing your repository for optimum performance. You may also
>> run "git gc" manually. See "git help gc" for more information.
>> usage: git-pack-objects [{ -q | --progress | --all-progress }]
>>         [--max-pack-size=N] [--local] [--incremental]
>>         [--window=N] [--window-memory=N] [--depth=N]
>>         [--no-reuse-delta] [--no-reuse-object] [--delta-base-offset]
>>         [--threads=N] [--non-empty] [--revs [--unpacked | --all]*]
>> [--reflog]
>>         [--stdout | base-name] [--include-tag]
>>         [--keep-unreachable | --unpack-unreachable]
>>         [<ref-list | <object-list]
>> error: failed to run repack
> 
> I'm pretty sure that you have inconsistent versions of git in your PATH.
> You can use GIT_TRACE=2 to debug this. I think that you should get the
> same error if you run 'git gc' manually.

Thanks. My initial git installation came from an openSUSE 11.1
package. I had then pulled the source, deleted the package, then built
and installed the new version. Unfortunately, not everything was
removed, but it is working now.

Larry